%global fontname fontawesome
%global fontconf 60-%{fontname}.conf

Summary:       Iconic font set
Name:          %{fontname}-fonts
Version:       4.7.0
Release:       4%{?dist}
License:       OFL
URL:           http://fontawesome.io
Source0:       %{url}/assets/font-awesome-%{version}.zip
Source1:       %{name}-fontconfig.conf
Source2:       README-Trademarks.txt

BuildRequires: fontpackages-devel ttembed
Requires:      fontpackages-filesystem

BuildArch:     noarch

%description
Font Awesome gives you scalable vector icons that can instantly be customized — size, color, drop shadow,
and anything that can be done with the power of CSS.

This package contains OpenType and TrueType font files which are typically used locally.

%package web
License:    OFL and MIT
Requires:   %{fontname}-fonts = %{version}-%{release}
Summary:    Iconic font set, web files

%description web
Font Awesome gives you scalable vector icons that can instantly be customized — size, color, drop shadow,
and anything that can be done with the power of CSS.

This package contains CSS, SCSS and LESS style files as well as Web Open Font Format versions 1 and 2,
Embedded OpenType and SVG font files which are typically used on the web.

%prep
%autosetup -n font-awesome-%{version} -p1
cp -p %{SOURCE2} .

%build
ttembed fonts/*.ttf fonts/*.otf

%install
install -m 0755 -d %{buildroot}%{_fontdir}
install -m 0644 -p fonts/*.ttf fonts/*.otf fonts/*.woff fonts/*.svg fonts/*.woff2 fonts/*.eot %{buildroot}%{_fontdir}

install -m 0755 -d %{buildroot}%{_fontconfig_confdir}

install -Dm 0644 -p %{SOURCE1} %{buildroot}%{_fontconfig_templatedir}/%{fontconf}

ln -s %{_fontconfig_templatedir}/%{fontconf} \
        %{buildroot}%{_fontconfig_confdir}/%{fontconf}

install -m 0755 -d %{buildroot}%{_datadir}/font-awesome-web/
cp -a css less scss %{buildroot}%{_datadir}/font-awesome-web/

%files
%doc README-Trademarks.txt
%{_fontconfig_templatedir}/%{fontconf}
%{_fontconfig_confdir}/%{fontconf}
%{_fontbasedir}/%{fontname}/*.ttf
%{_fontbasedir}/%{fontname}/*.otf
%exclude %{_datadir}/fonts/fontawesome/fontawesome-webfont.svg
%exclude %{_datadir}/fonts/fontawesome/fontawesome-webfont.woff
%exclude %{_datadir}/fonts/fontawesome/fontawesome-webfont.woff2
%exclude %{_datadir}/fonts/fontawesome/fontawesome-webfont.eot

%files web
%{_datadir}/font-awesome-web/
%{_datadir}/fonts/fontawesome/fontawesome-webfont.svg
%{_datadir}/fonts/fontawesome/fontawesome-webfont.woff
%{_datadir}/fonts/fontawesome/fontawesome-webfont.woff2
%{_datadir}/fonts/fontawesome/fontawesome-webfont.eot

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.7.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.7.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.7.0-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Dec 1 2022 Shuo Wang <abushwang@tencent.com> - 4.7.0-1
- initial build
